package com.ruoyi.mall.service.impl;

import com.ruoyi.mall.domain.MallSchoolScenery;
import com.ruoyi.mall.mapper.MallSchoolSceneryMapper;
import com.ruoyi.mall.service.IMallSchoolSceneryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 学校风景Service业务层处理
 *
 * @author Lsm
 * @date 2023-10-18
 */
@Service
public class MallSchoolSceneryServiceImpl implements IMallSchoolSceneryService
{
    @Autowired
    private MallSchoolSceneryMapper mallSchoolSceneryMapper;

    /**
     * 查询学校风景
     *
     * @param sceneryId 学校风景主键
     * @return 学校风景
     */
    @Override
    public MallSchoolScenery selectMallSchoolSceneryBySceneryId(Long sceneryId)
    {
        return mallSchoolSceneryMapper.selectMallSchoolSceneryBySceneryId(sceneryId);
    }

    /**
     * 查询学校风景列表
     *
     * @param mallSchoolScenery 学校风景
     * @return 学校风景
     */
    @Override
    public List<MallSchoolScenery> selectMallSchoolSceneryList(MallSchoolScenery mallSchoolScenery)
    {
        return mallSchoolSceneryMapper.selectMallSchoolSceneryList(mallSchoolScenery);
    }

    /**
     * 新增学校风景
     *
     * @param mallSchoolScenery 学校风景
     * @return 结果
     */
    @Override
    public int insertMallSchoolScenery(MallSchoolScenery mallSchoolScenery)
    {
        return mallSchoolSceneryMapper.insertMallSchoolScenery(mallSchoolScenery);
    }

    /**
     * 修改学校风景
     *
     * @param mallSchoolScenery 学校风景
     * @return 结果
     */
    @Override
    public int updateMallSchoolScenery(MallSchoolScenery mallSchoolScenery)
    {
        return mallSchoolSceneryMapper.updateMallSchoolScenery(mallSchoolScenery);
    }

    /**
     * 批量删除学校风景
     *
     * @param sceneryIds 需要删除的学校风景主键
     * @return 结果
     */
    @Override
    public int deleteMallSchoolSceneryBySceneryIds(Long[] sceneryIds)
    {
        return mallSchoolSceneryMapper.deleteMallSchoolSceneryBySceneryIds(sceneryIds);
    }

    /**
     * 删除学校风景信息
     *
     * @param sceneryId 学校风景主键
     * @return 结果
     */
    @Override
    public int deleteMallSchoolSceneryBySceneryId(Long sceneryId)
    {
        return mallSchoolSceneryMapper.deleteMallSchoolSceneryBySceneryId(sceneryId);
    }
}
